Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Tools.IO.ProcessCommandExecutor Class Reference

## Public Member Functions
delegate void | StandardOutputReceived (string text)
delegate void | StandardErrorReceived (string text)
| ProcessCommandExecutor ()
| ProcessCommandExecutor (string path)
bool | Execute ()

## Properties
string | FileName`[get, set]`
string | Arguments = string.Empty`[get, set]`
bool | UseRedirect`[get, set]`
string | WorkingDirectory = string.Empty`[get, set]`
Dictionary< string, string > | EnvironmentVariables`[get, set]`
string | StandardOutput = string.Empty`[get, set]`
string[] | StandardOutputLines`[get]`
string | StandardError = string.Empty`[get, set]`
string[] | StandardErrorLines`[get]`
string | Log = string.Empty`[get, set]`
string[] | LogLines`[get]`
bool | UseBatch`[get, set]`
bool | CollectOutput`[get, set]`
bool | DoSafeKill`[get, set]`
int | ExitCode`[get, set]`
int | Timeout`[get, set]`

## Events
StandardOutputReceived | OnStandardOutputReceived
StandardErrorReceived | OnStandardErrorReceived

## Private Member Functions
void | SafeKill (Process proc)
void | ErrorDataReceived (object sender, DataReceivedEventArgs e)
void | OutputDataReceived (object sender, DataReceivedEventArgs e)

## Constructor & Destructor Documentation

## ◆ ProcessCommandExecutor() [1/2]

Zwipe.Build.Tools.IO.ProcessCommandExecutor.ProcessCommandExecutor | ( |  | ) |

## ◆ ProcessCommandExecutor() [2/2]

Zwipe.Build.Tools.IO.ProcessCommandExecutor.ProcessCommandExecutor | ( | string | path | ) |

## Member Function Documentation

## ◆ ErrorDataReceived()

void Zwipe.Build.Tools.IO.ProcessCommandExecutor.ErrorDataReceived | ( | object | sender,
|  | DataReceivedEventArgs | e )
| private

Here is the caller graph for this function:

## ◆ Execute()

bool Zwipe.Build.Tools.IO.ProcessCommandExecutor.Execute | ( |  | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ OutputDataReceived()

void Zwipe.Build.Tools.IO.ProcessCommandExecutor.OutputDataReceived | ( | object | sender,
|  | DataReceivedEventArgs | e )
| private

Here is the caller graph for this function:

## ◆ SafeKill()

void Zwipe.Build.Tools.IO.ProcessCommandExecutor.SafeKill | ( | Process | proc | ) |
| private

Here is the caller graph for this function:

## ◆ StandardErrorReceived()

delegate void Zwipe.Build.Tools.IO.ProcessCommandExecutor.StandardErrorReceived | ( | string | text | ) |

## ◆ StandardOutputReceived()

delegate void Zwipe.Build.Tools.IO.ProcessCommandExecutor.StandardOutputReceived | ( | string | text | ) |

## Property Documentation

## ◆ Arguments

string Zwipe.Build.Tools.IO.ProcessCommandExecutor.Arguments = string.Empty
| get set

## ◆ CollectOutput

bool Zwipe.Build.Tools.IO.ProcessCommandExecutor.CollectOutput
| get set

## ◆ DoSafeKill

bool Zwipe.Build.Tools.IO.ProcessCommandExecutor.DoSafeKill
| get set

## ◆ EnvironmentVariables

Dictionary<string, string> Zwipe.Build.Tools.IO.ProcessCommandExecutor.EnvironmentVariables
| get set

## ◆ ExitCode

int Zwipe.Build.Tools.IO.ProcessCommandExecutor.ExitCode
| get set

## ◆ FileName

string Zwipe.Build.Tools.IO.ProcessCommandExecutor.FileName
| get set

## ◆ Log

string Zwipe.Build.Tools.IO.ProcessCommandExecutor.Log = string.Empty
| get set

## ◆ LogLines

string [] Zwipe.Build.Tools.IO.ProcessCommandExecutor.LogLines
| get

## ◆ StandardError

string Zwipe.Build.Tools.IO.ProcessCommandExecutor.StandardError = string.Empty
| get set

## ◆ StandardErrorLines

string [] Zwipe.Build.Tools.IO.ProcessCommandExecutor.StandardErrorLines
| get

## ◆ StandardOutput

string Zwipe.Build.Tools.IO.ProcessCommandExecutor.StandardOutput = string.Empty
| get set

## ◆ StandardOutputLines

string [] Zwipe.Build.Tools.IO.ProcessCommandExecutor.StandardOutputLines
| get

## ◆ Timeout

int Zwipe.Build.Tools.IO.ProcessCommandExecutor.Timeout
| get set

## ◆ UseBatch

bool Zwipe.Build.Tools.IO.ProcessCommandExecutor.UseBatch
| get set

## ◆ UseRedirect

bool Zwipe.Build.Tools.IO.ProcessCommandExecutor.UseRedirect
| get set

## ◆ WorkingDirectory

string Zwipe.Build.Tools.IO.ProcessCommandExecutor.WorkingDirectory = string.Empty
| get set

## Event Documentation

## ◆ OnStandardErrorReceived

StandardErrorReceived Zwipe.Build.Tools.IO.ProcessCommandExecutor.OnStandardErrorReceived

## ◆ OnStandardOutputReceived

StandardOutputReceived Zwipe.Build.Tools.IO.ProcessCommandExecutor.OnStandardOutputReceived

The documentation for this class was generated from the following file:

- Zwipe.Build.Tools/IO/ProcessCommandExecutor.cs